/*******************************************************************
$Header: C:/Symbol/Csp32Proj/Csp32/include/vcs/Csp32.h_v  1.0  05 Mar 1999  10:00:00 kFallon $
 *
 *  Copyright 1999 Peninsula Solutions, Inc., all rights reserved.
 *  Copyright 1999 Symbol Technologies, Inc., all rights reserved.
 *
 *          ***************************************
 *          * This file was generated by:         *
 *          *       Peninsula Solutions, Inc.     *
 *          *       1265 S. Semoran Blvd.         *
 *          *       Suite 1247                    *     
 *          *       Winter Park, FL 32792         *
 *          *       Phone: (407) 673-6544         *
 *          *       Fax:   (407) 673-6545         *
 *          * E-mail: info@PeninsulaSolutions.com *
 *          *                                     *
 *          * under a grant from:                 *
 *          *       Symbol Technologies, Inc.     *
 *          *       Holtsville, NY                *
 *          ***************************************
 *
 * The user is granted a license to use and modify this file for their own
 * purposes so long as the Copyright information remains intact.
 *
 *    MODULE NAME:   Csp32.h
 *
 *    DESCRIPTION:
 *                   This file provides the user API interface
 *                   function prototypes for Symbol's Consumer Scanning 
 *                   Products Dynamic Link Library. Additionally,
 *                   it incorporates all of the required definitions
 *                   for use with the serial comm library.
 *                   
 *                   This file is used by applications which need
 *                   to communicate with Symbol's CyberPen.
 *
 *    AUTHOR:        Kim Fallon
 *
 *    DATE CREATED:  03/05/99
 *
 *    HISTORY:
 *
 *       03/05/99    Initial Development
 *
$Log: C:/Symbol/Csp32Proj/Csp32/include/vcs/Csp32.h_v $
 *******************************************************************/

#if !defined(AFX_CSP32_H__EA8CB066_D249_11D2_9514_444553540000__INCLUDED_)
#define AFX_CSP32_H__EA8CB066_D249_11D2_9514_444553540000__INCLUDED_

#ifdef DLL_IMPORT_EXPORT
    #undef DLL_IMPORT_EXPORT
#endif

#ifdef DLL_SOURCE_CODE
    #define DLL_IMPORT_EXPORT __declspec(dllexport) __stdcall
#else
    #define DLL_IMPORT_EXPORT __declspec(dllimport) __stdcall
#endif

#ifdef __cplusplus
    #define NoMangle extern "C"
#else
    #define NoMangle
#endif

// Communications
NoMangle long DLL_IMPORT_EXPORT cspInit(long nComPort);
NoMangle long DLL_IMPORT_EXPORT cspRestore(void);

// Basic Functions
NoMangle long DLL_IMPORT_EXPORT cspReadData(void);
NoMangle long DLL_IMPORT_EXPORT cspClearBarCodes(void);
NoMangle long DLL_IMPORT_EXPORT cspPowerDown(void);

// CSP Data Get
NoMangle long DLL_IMPORT_EXPORT cspGetBarcode(char szBarData[], long nBarcodeNumber, long nMaxLength);
NoMangle long DLL_IMPORT_EXPORT cspGetDeviceId(char szDeviceId[9], long nMaxLength);
NoMangle long DLL_IMPORT_EXPORT cspGetSignature(char aSignature[8], long nMaxLength);
NoMangle long DLL_IMPORT_EXPORT cspGetProtocol(void);
NoMangle long DLL_IMPORT_EXPORT cspGetSystemStatus(void);
NoMangle long DLL_IMPORT_EXPORT cspGetSwVersion(char szSwVersion[9], long nMaxLength);

// CSP Configuration Set
NoMangle long DLL_IMPORT_EXPORT cspSetTlBits(char aTlBits[8], long nMaxLength);
NoMangle long DLL_IMPORT_EXPORT cspSetVolume(long nVolume);
NoMangle long DLL_IMPORT_EXPORT cspSetBarcodeRedundancy(long nOnOff);
NoMangle long DLL_IMPORT_EXPORT cspSetUserId(char szUserId[9], long nMaxLength);
NoMangle long DLL_IMPORT_EXPORT cspSetContinuousScanning(long nOnOff);

// CSP Configuration Get
NoMangle long DLL_IMPORT_EXPORT cspGetTlBits(char aTlBits[8], long nMaxLength);
NoMangle long DLL_IMPORT_EXPORT cspGetVolume(void);
NoMangle long DLL_IMPORT_EXPORT cspGetBarcodeRedundancy(void);
NoMangle long DLL_IMPORT_EXPORT cspGetUserID(char szUserId[9], long nMaxLength);
NoMangle long DLL_IMPORT_EXPORT cspGetContinuousScanning(void);

// DLL Configuration
NoMangle long DLL_IMPORT_EXPORT cspSetRetryCount(long nRetryCount);
NoMangle long DLL_IMPORT_EXPORT cspGetRetryCount(void);

// Miscellaneous
NoMangle long DLL_IMPORT_EXPORT cspGetDllVersion(char szDllVersion[], long nMaxLength);

// Debug
NoMangle long DLL_IMPORT_EXPORT cspSetDebugMode(long nOnOff);

// Advanced functions
NoMangle long DLL_IMPORT_EXPORT cspReadRawData(char aBuffer[], long nMaxLength);
NoMangle long DLL_IMPORT_EXPORT cspSetParam(long nParam, char szString[], long nMaxLength);
NoMangle long DLL_IMPORT_EXPORT cspGetParam(long nParam, char szString[], long nMaxLength);
NoMangle long DLL_IMPORT_EXPORT cspInterrogate(void);

// Returned status values...
#define STATUS_OK                   ((long) 0)
#define COMMUNICATIONS_ERROR        ((long)-1)  
#define BAD_PARAM                   ((long)-2)
#define SETUP_ERROR                 ((long)-3)
#define INVALID_COMMAND_NUMBER      ((long)-4)  
#define COMMAND_LRC_ERROR           ((long)-7)  
#define RECEIVED_CHARACTER_ERROR    ((long)-8)  
#define GENERAL_ERROR               ((long)-9)  
#define FILE_NOT_FOUND              ((long) 2)
#define ACCESS_DENIED               ((long) 5)

// Parameter Numbers...
#define TL_BITS                     ((char)0x01)
#define VOLUME                      ((char)0x02)
#define BARCODE_REDUNDANCY          ((char)0x04)
#define USER_ID                     ((char)0x06)
#define CONTINUOUS_SCANNING         ((char)0x12)

// Parameter values...
#define VOLUME_QUIET                ((long) 0) 
#define VOLUME_LOW                  ((long) 1) 
#define VOLUME_MEDIUM               ((long) 2) 
#define VOLUME_HIGH                 ((long) 3) 

#define PARAM_OFF                   ((long) 0) 
#define PARAM_ON                    ((long) 1) 

#define DETERMINE_SIZE              ((long) 0)

// Serial Port configuration status values...
#define SERIAL_RS232                ((long) 0)
#define SERIAL_MODEM                ((long)-1)
#define SERIAL_UNKNOWN              ((long)-2)


/*******************************************************************
 *              Communications setup section...                    *
 *******************************************************************/

#ifndef COM1
    #define COM1                    ((long) 0)
    #define COM2                    ((long) 1)
    #define COM3                    ((long) 2)
    #define COM4                    ((long) 3)
    #define COM5                    ((long) 4)
    #define COM6                    ((long) 5)
    #define COM7                    ((long) 6)
    #define COM8                    ((long) 7)
    #define COM9                    ((long) 8)
    #define COM10                   ((long) 9)
    #define COM11                   ((long)10)
    #define COM12                   ((long)11)
    #define COM13                   ((long)12)
    #define COM14                   ((long)13)
    #define COM15                   ((long)14)
    #define COM16                   ((long)15)
#endif

#endif // !defined(AFX_CSP32_H__EA8CB066_D249_11D2_9514_444553540000__INCLUDED_)

/*******************************************************************
 *              Th, Th, Th, Th, That's All Folks !                 *
 *******************************************************************/
